#include "global.h"
#include <stdio.h>

static SDL_Surface* duck[16];

static void cleanup()
{
  for(int i=0; i<16; i++)
    if(duck[i])
      SDL_FreeSurface(duck[i]), duck[i]=0;
}

int init_duck()
{
  atexit(cleanup);

  for(int i=0; i<16; i++)
  {
    char buf[32];
    sprintf(buf, "duck%x.bmp", i);
    if(!(duck[i]=SDL_LoadBMP(buf)))
      return -1;
  }
  return 0;
}

static void showPic()
{
  static int dy=1, dx=3;
  static int Y=10, X=10;
  static int duckI=0;

  X+=dx, Y+=dy;
  if(X<5 || X>250)
    dx=-dx;
  if(Y<5 || Y>140)
    dy=-dy;

  fillsurface(screen, 255, false);
  SDL_Rect dst={X, Y, duck[0]->w, duck[0]->h};
  SDL_BlitSurface(duck[duckI], NULL, screen, &dst);
  SDL_UpdateRect(screen, NULL);

  (++duckI)&=0xf;
}

void duckeffect(int modstart)
{
  SDL_SetColors(screen, duck[0]->format->palette->colors, 0, 256);
  while(getpos()<modstart+4)
  {
    showPic();
    checkabort();
    SDL_Delay(30);
  }
}
