#!/bin/sh

if [ ! -c /dev/dsp ]
then if [ -c /dev/sound/dsp ]
     then if ! ln -s /dev/sound/dsp /dev/dsp
          then echo "Could not link /dev/sound/dsp to /dev/dsp. You should either create the link yourself, or run this script as root"
               exit 1
          fi
     fi
else echo "Did not find /dev/dsp sound device. Maybe you have to load your sound drivers?"
     exit 1
fi

if [ ! -w /dev/dsp ]
then echo "Could not write to /dev/dsp. Either fix your file permissions or run this script as root"
     exit 1
fi

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
./stallinator $*
