#include "global.h"

SDL_Surface *tacid_bmp=0;

static void cleanup()
{
  if(tacid_bmp)
    SDL_FreeSurface(tacid_bmp), tacid_bmp=0;
}

int init_pix()
{
  atexit(cleanup);
  if(!(tacid_bmp=SDL_LoadBMP("tacid.bmp")))
    return -1;
  return 0;
}

void pixelate(int n)
{
  SDL_LockSurface(screen);
  SDL_LockSurface(tacid_bmp);
  unsigned char *Buffer=reinterpret_cast<unsigned char*>(tacid_bmp->pixels);
  unsigned char *scr=reinterpret_cast<unsigned char*>(screen->pixels);
  unsigned char c=Buffer[0];
  short n3=n;
  short y2=0;
  for(int y=0;y<200;y++)
  {
    short n2=n;
    n3--;
    if (!n3)
    {
      n3=n;
      y2=y;
      c=Buffer[320*y];
    }
    for(int x=0;x<320;x++)
    {
      scr[320*y+x]=c;
      n2--;
      if(!n2)
      {
        n2=n;
        c=Buffer[320*y2+x];
      }
    }
  }
  SDL_UnlockSurface(screen);
  SDL_UnlockSurface(tacid_bmp);
  SDL_UpdateRect(screen);
}

void pix(int modbegin)
{
  int i;
  Uint32 starttime;
  double time;
  fillsurface(screen, 0);
  SDL_SetColors(screen, tacid_bmp->format->palette->colors, 0, 256);
  starttime=SDL_GetTicks();
  do {
    time=static_cast<double>(SDL_GetTicks()-starttime)*.001;
    i=static_cast<int>(255.0-sqrt(time)*255.0);
    pixelate(i);
    checkabort();
  } while(getpos()<modbegin+1 && time<1);
  blitsurface(tacid_bmp);
  while(getpos()<modbegin+1) checkabort();
}
