#include "global.h"

static SDL_Surface *rem_bmp=0;
static SDL_Surface *holsten_bmp=0;

static void cleanup()
{
  if(rem_bmp)
    SDL_FreeSurface(rem_bmp), rem_bmp=0;
  if(holsten_bmp)
    SDL_FreeSurface(holsten_bmp), holsten_bmp=0;
}

int init_show()
{
  atexit(cleanup);
  if(!(rem_bmp=SDL_LoadBMP("rem.bmp")))
    return -1;
  if(!(holsten_bmp=SDL_LoadBMP("holsten.bmp")))
    return -1;
  return 0;
}

void show(int modbegin)
{
  blitsurface(rem_bmp);
  while(getpos()<modbegin+1) checkabort();
  
  blitsurface(holsten_bmp);
  while(getpos()<modbegin+2) checkabort();
}
